POST Agents/UserDefinedFieldInfo/SaveUserDefinedFieldInfos
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/UserDefinedFieldInfo/SaveUserDefinedFieldInfos
Save an array of user defined fields.
This will update the unpublished layout. NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/UserDefinedFieldInfo/SaveUserDefinedFieldInfos?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
Infos
| Property Name | Type | Description |
|---|---|---|
| Infos | Array |
Response:
No Content
| Response | Description |
|---|---|
| 204 | No Content |
Response body: TimeZoneData
Sample request
POST /api/v1/Agents/UserDefinedFieldInfo/SaveUserDefinedFieldInfos
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"Infos": [
{
"UDefFieldId": 557,
"ColumnId": 374,
"FieldDefault": "qui",
"FieldHeight": 74,
"FieldLabel": "corrupti",
"FieldLeft": 612,
"FieldTop": 959,
"FieldType": "Checkbox",
"FieldWidth": 240,
"FormatMask": "et",
"HideLabel": false,
"IsIndexed": true,
"LabelHeight": 627,
"LabelLeft": 396,
"LabelTop": 408,
"LabelWidth": 19,
"LastVersionId": 500,
"ListTableId": 308,
"IsMandatory": true,
"Type": "Appointment",
"Page1LineNo": 533,
"ProgId": "nisi",
"IsReadOnly": true,
"ShortLabel": "nesciunt",
"TabOrder": 467,
"TextLength": 164,
"Tooltip": "sed",
"UdefIdentity": 357,
"UDListDefinitionId": 559,
"Justification": "Center",
"Version": 555,
"TemplateVariableName": "Collier Inc and Sons",
"HasBeenPublished": false,
"MdoListName": "Romaguera, Heller and Kuhn"
}
]
}
Sample response
HTTP/1.1 204 No Content
Content-Type: application/json; charset=utf-8
null